summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/CMakeTests.cmake4
-rw-r--r--test/test_plugin.sh.in25
2 files changed, 16 insertions, 13 deletions
diff --git a/test/CMakeTests.cmake b/test/CMakeTests.cmake
index 86c5cb3..6f15fc4 100644
--- a/test/CMakeTests.cmake
+++ b/test/CMakeTests.cmake
@@ -986,8 +986,10 @@ endif ()
##############################################################################
if (WIN32)
set (CMAKE_SEP "\;")
+ set (BIN_REL_PATH "../../")
else ()
set (CMAKE_SEP ":")
+ set (BIN_REL_PATH "../")
endif ()
add_test (NAME H5PLUGIN-plugin COMMAND $<TARGET_FILE:plugin>)
@@ -998,7 +1000,7 @@ set_tests_properties (H5PLUGIN-plugin PROPERTIES
add_test (NAME H5PLUGIN-pluginRelative COMMAND $<TARGET_FILE:plugin>)
set_tests_properties (H5PLUGIN-pluginRelative PROPERTIES
- ENVIRONMENT "HDF5_PLUGIN_PATH=@/../testdir1${CMAKE_SEP}@/../testdir2;srcdir=${HDF5_TEST_BINARY_DIR}"
+ ENVIRONMENT "HDF5_PLUGIN_PATH=@/${BIN_REL_PATH}testdir1${CMAKE_SEP}@/${BIN_REL_PATH}testdir2;srcdir=${HDF5_TEST_BINARY_DIR}"
WORKING_DIRECTORY ${HDF5_TEST_BINARY_DIR}
)
diff --git a/test/test_plugin.sh.in b/test/test_plugin.sh.in
index 37d4462..a0c9a42 100644
--- a/test/test_plugin.sh.in
+++ b/test/test_plugin.sh.in
@@ -88,22 +88,23 @@ if [ $? != 0 ]; then
fi
# setup plugin path relative to test
-ENVCMD="env HDF5_PLUGIN_PATH=@/${PLUGIN_LIBDIR1}:@/${PLUGIN_LIBDIR2}"
+# actual executable is in the .libs folder
+ENVCMD="env HDF5_PLUGIN_PATH=@/../${PLUGIN_LIBDIR1}:@/../${PLUGIN_LIBDIR2}"
# Run the test
-#$ENVCMD $TEST_BIN
-#if [ $? != 0 ]; then
-# nerrors=`expr $nerrors + 1`
-#fi
+$ENVCMD $TEST_BIN
+if [ $? != 0 ]; then
+ nerrors=`expr $nerrors + 1`
+fi
# print results
-#if test $nerrors -ne 0 ; then
-# echo "$nerrors errors encountered"
-# exit_code=$EXIT_FAILURE
-#else
-# echo "All Plugin API tests passed."
-# exit_code=$EXIT_SUCCESS
-#fi
+if test $nerrors -ne 0 ; then
+ echo "$nerrors errors encountered"
+ exit_code=$EXIT_FAILURE
+else
+ echo "All Plugin API tests passed."
+ exit_code=$EXIT_SUCCESS
+fi
# Clean up temporary files/directories and leave
$RM $PLUGIN_LIBDIR1 $PLUGIN_LIBDIR2